## GnomeDbCanvasText

GnomeDbCanvasText — Base class for GnomeDbCanvasItem objects rendering a GdaObject's name as a text

##

# Synopsis

    struct      GnomeDbCanvasText;
    struct      GnomeDbCanvasTextClass;
    GooCanvasItem* gnome_db_canvas_text_new     (GooCanvasItem *parent,
                                                 const gchar *txt,
                                                 gdouble x,
                                                 gdouble y,
                                                 ...);
    void        gnome_db_canvas_text_set_highlight
                                                (GnomeDbCanvasText *ct,
                                                 gboolean highlight);

## Object Hierarchy

      GObject
       +----GooCanvasItemSimple
             +----GooCanvasGroup
                   +----GnomeDbCanvasItem
                         +----GnomeDbCanvasText
                               +----GnomeDbCanvasColumn

## Implemented Interfaces

GnomeDbCanvasText implements GooCanvasItem.

## Properties

      "height"               gdouble              : Write
      "highlight-color"      gchararray           : Read / Write
      "text"                 gchararray           : Read / Write
      "text-bold"            gboolean             : Read / Write
      "text-underline"       gboolean             : Read / Write
      "width"                gdouble              : Write

## Description

This GnomeCanvasItem is self-destroyed when the referenced GdaObject object is destroyed.

## Details

### struct GnomeDbCanvasText

    struct GnomeDbCanvasText;

### struct GnomeDbCanvasTextClass

    struct GnomeDbCanvasTextClass {

    	GnomeDbCanvasItemClass   parent_class;
    };

### gnome_db_canvas_text_new ()

    GooCanvasItem* gnome_db_canvas_text_new     (GooCanvasItem *parent,
                                                 const gchar *txt,
                                                 gdouble x,
                                                 gdouble y,
                                                 ...);

Creates a new canvas item to display the `txt` message

`parent` : | the parent item, or NULL.
`txt` : | text to display
`x` : | the x coordinate of the text.
`y` : | the y coordinate of the text.
`...` : | optional pairs of property names and values, and a terminating NULL.
Returns : | a new GooCanvasItem object

### gnome_db_canvas_text_set_highlight ()

    void        gnome_db_canvas_text_set_highlight
                                                (GnomeDbCanvasText *ct,
                                                 gboolean highlight);

Turns ON or OFF the highlighting of `ct`

`ct` : | a GnomeDbCanvasText object
`highlight` : |

## Properties

"`height`" (gdouble : Write) |
"`highlight-color`" (gchararray : Read / Write) |
"`text`" (gchararray : Read / Write) |
"`text-bold`" (gboolean : Read / Write) |
"`text-underline`" (gboolean : Read / Write) |
"`width`" (gdouble : Write) |